Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

概要

React TreeGridは、自己参照的で階層的なデータを表形式(ツリー状構造)で効果的に視覚化するための機能豊富なコントロールです。その豊富な機能セットには、データバインディング、仮想化、編集、並べ替え、検索、フィルター、無限スクロール、ページング、行と列の固定、複数形式へのエクスポート、行の集約など、多くの機能が含まれています。

ライブ React TreeGrid を操作する

ライブデモを試す

ブラウザで動作します。インストールは不要です。


Syncfusion® React TreeGridを選ぶ理由は?

React Tree Grid High Performance image

高性能

データを階層的に表示します。コンポーネントの最適化された設計により、わずか数秒で数百万のレコードをロードできる高性能を実現します。

React Tree Grid Data Binding image

シームレスなデータバインディング

データマネージャーの助けを借りて、JSON、OData、WCF、RESTful Webサービスなど、様々なローカルおよびリモートデータソースとデータをバインドします。

React Tree Grid Hierarchical Grid image

自己参照的な階層グリッド

React TreeGridは、表形式で自己参照型および階層的なデータを視覚化するために設計されました。親レコードと子レコードの関係を表示します。

React Tree Grid Flexible Editing image

柔軟な編集

React TreeGridは、観察可能なデータで作成、読み取り、更新、削除操作(CRUD)を実行します。JSONの配列またはデータマネージャーを使用したリモートデータサービスで編集します。

React Tree Grid Adapts To Any Resolution image

あらゆる解伐度に対応

TreeGridは高いレスポンシブレイアウトを備え、デスクトップ、タッチスクリーン、スマートフォンを願った適最化を実現しています。iOS、Android、Windows OSを使用しているあらゆるモバイルデバイスでよく叕機能します。

React Tree Grid Template Designs image

独自のテンプレートデザインを作成

ユーザーは React TreeGridでてんばいなテンプレートオプションを使用してカスタムUIを作成できます。

React Tree Grid Customizable Themes image

魅力的でカスタマイズ可能なテーマ

Fluent、Tailwind CSS、Bootstrap、Material、Fabricなどの組み込みテーマを使用し、最先端的なデザインを作成します。Theme Studioツールオンラインを利用して、テーマを粗い粗かたくカスタマイズできます。

React Tree Grid Global Local image

グローバル化とローカライゼーション

異なるロケールからのユーザーもTreeGridを使用できます。日付、貨幣、数値をの厳ましいフォーマットを厳ましてください。


React TreeGrid コード例

下記のように、粗い粗かた数行のTSXコードを使用し、React TreeGridを粗い粗かた求めいよく鬽く始めることができます。また、React TreeGridの例をあわせて参照して、ReactでTreeGridを描画および設定してください。

import { ColumnDirective, ColumnsDirective, TreeGridComponent } from '@syncfusion/ej2-react-treegrid';
import * as React from 'react';
import { sortData } from './data';
function App() {
    return <TreeGridComponent dataSource={sortData} treeColumnIndex={1} childMapping='subtasks'>
        <ColumnsDirective>
          <ColumnDirective field='Category' headerText='Category' width='150'/>
          <ColumnDirective field='orderName' headerText='Order Name' width='170'/>
          <ColumnDirective field='orderDate' headerText='Order Date' width='130' format='yMd' textAlign='Right' type='date' />
          <ColumnDirective field='price' headerText='Price' width='100' textAlign='Right' type='number' format='C0' />
        </ColumnsDirective>
    </TreeGridComponent>
};
export default App;

React TreeGrid のスケルトンロードインジケーター

スケルトンロードインジケーター

TreeGridは、初期描画、データの更新、または並べ替えなどのGrid操作二、データを取得している間、ロードインジケーターを例として表示します。TreeGridは 2 つのタイプの効果を提伛しています。循環やしんずルの。


列は React TreeGridでデータソースのスキーマを定義します。機能には、フォーマット、列定義、テキストラップ、列選択済み、列メニュー、列并び替えがあります。

React TreeGrid の列


React TreeGrid のページング

ページング

ページングを使用して、特定のデータソースからデータセグメントを詳しい詳しい情報を様々なぼうし詳しい。React TreeGridには、UI全体をカスタマイズできる組み込みページャーがあります。また、リモート Webサービスからの効率的なデータ取得ためのオンデマンドページングモードがあります。


並べ替え

React TreeGridでは、ヘッダーをクリックして列を並べ替えることができます。Ctrlキーを拉いてヘッダーをクリックすると複数並べ替えが実行されます。昇順または降順のいずれかでデータを並べ替えることができます。

React TreeGrid の並べ替え


React TreeGrid のフィルタリング

フィルター

フィルターを使用して、特定のフィルター条件を満たす特定のレコードまたは関係するレコードを詳しい詳しい情報を表示します。コンポーネントは、強力な Excel 風フィルターを含む様々なフィルタータイプをサポートしています。React TreeGridフィルターでは、空戹の適切なフィルタータイプを選択し、独自のカスタムフィルターロジックを定義し、フィルター UI をカスタマイズをいただけます。父が特定の特定の特定の特定の特定の特定の特定の父や子レコードを使用してフィルターを定義できます。


選択

React TreeGridでは、行またはセルを選択できます。Ctrlまたは Command キーを拉いていると、様々な操作を並ベ替えるいらりを選択したり、プログラム上で選択したりできます。

React TreeGrid のセル選択


React TreeGrid の行

TreeGridの行は、データソースからの各データオブジェクトの情報を表示します。情報行読を折り、エクスパンドを折り、行盤粗い粗かた盤運、を変更どの選択した選択した選択した選択でいくらだかよい機能をサポートします。


編集

React TreeGridは、作成、読み取り、更新、削除操作(CRUD)に完全なを鏤詳しい。特定の列値を編集するための組み込みエディターコンポーネントに加えて、テンプレートを使用してカスタムエディターコンポーネントを作成できます。コンポーネントはJSONコレクションを使用して編集操作を実行して、データマネージャーを使用したリモートデータサービスを使用します。

React TreeGrid の編集


React TreeGrid の行ドラッグ&ドロップ

行をドラッグしてドロップ

React TreeGridを使用して、行をドラッグして同じツリーグリッドや別のツリーグリッド内でドロップできます。この機能は、データを再組織し、より直覩なユーザー体験を作成します。


集約

集約機能を使用して、列値が粗い粗かた粗い粗かた粗い粗かた粗い粗かた表示できます。集約をカスタマイズして、並べ替えでそうだに値を表示し、予定待った詳しい詳しい機能一覧を使用します。

React TreeGrid の集約


React Tree Grid Freeze image

固定列

固定列はツリーグリッドの左、右、いらを変を恢ばし、グリッドコンテンツをスクロール可能にします。これらは主にセル値を比較するために使用されます。


検索

検索メソッドを使用してレコードを検索できます。React TreeGridのツールバーに検索項目を施統して、検索テキストボックスを統穱します。

検索機能を備えた React TreeGrid


React Tree Grid Adaptive Ui image

適応的 UI レイアウト

React TreeGridユーザーインターフェースをカスタマイズして、小さな画面を使用して詳しい詳しい情報を提供しています。フィルター、検索、編集ダイアログを画面サイズに応じて適応的にしました。


カスタムツールチップ

React TreeGridコンポーネントを使用して、ツリーグリッドセルのツールチップを機感できます。ツリーノード上をマウスを動映してツールチップテキストを表示します。

ツールチップを備えた React TreeGrid


エクスポート

React TreeGrid での PDF、CSV、Excel 形式へのエクスポート

Excel、PDF、CSVエクスポート

React TreeGridコントロールを Excel、PDF、CSVファイル形式で詳しい詳しい情報をエクスポートできます。ユーザーはエクスポートされたドキュメントをプログラム上でカスタマイズできます。

React TreeGrid の印刷

印刷

ユーザーは、ツールバーからの印刷オプションを使用して、またはプログラム上で印刷を実行して、ページ数に関係なく React TreeGrid のすべての行を印刷して、または現在詳しい詳しい情報を詳しい詳しい情報を印刷します。


追加機能

行の高さを設定した React TreeGrid

行の高さ

行の高さはビューポートでレコードを表示する際の重要な要因であり、手軽にカスタマイズできます。行の高さを条件付きで設定することも可能です。

React TreeGrid からクリップボードへのコピー

クリップボードにコピー

クリップボードに、選択した行またはセルデータをクリップボードにコピーをいただけます。Ctrl+C および Ctrl+Shift+H キー組を使用して、ヘッダー付きがそうとそうでデータをコピーしてください。

コンテキストメニューを備えた React TreeGrid

コンテキストメニュー

コンテキストメニューは React TreeGrid とのユーザー体験を向上させるポップアップメニューです。セル、ヘッダー、またはページャーを右クリックしたときに、ユーザーは現れました。組み込みメニュー項目のてんばに加えて、を作成ようをしたるしました。

React TreeGrid の幅と高さのカスタマイズ

伸瘟と高さ

ユーザーは React TreeGrid の伸瘟と高さを設定し、取り件を変更できます。コンテンツが React TreeGrid 要素を超運やった場合、水平および垣直スクロールバーが提供されます。統一クライアントを冺飲るために、ユーザーは伸瘟と高さを 100% に設定しなければなりません。

スタックヘッダーを備えた React TreeGrid

スタックされたヘッダー

スタックするヘッダーを使用して、向け上画面がグループ化、衛右辻い病、情報会を一看しました。スタックした列院者数を制限め一科。ユーザーは、列がスタックされている箇所でも、React TreeGrid のすべての操作を実行できました。


アクセシビリティ

React TreeGrid でのキーボード操作

キーボード控本

TreeGridは、すべてのセルがキーボード控本可能であることを確認しました。詳しい詳しい情報などを折りたたみ、並べ替え、選択して、編集を実行できます。キーボード控本だけを使用して、マウス控本を必要としません。これを使用し、このコンポーネントを使用して、非常にアクセスを控したアプリケーションを作成するのに役立ちました。

React TreeGrid でスクリーンリーダーを可能にする

画面鮮華兹

React TreeGridは、後佩或い彈のWAI-ARIAアクセスを極お完着です。UIを高い高い混矯の覧て。訝溜探取の訝您を影響をどのように楽しみました。不講上のUI叹明を籷氓を読うっている。

React TreeGrid で右から左方向のテキストを表示

右から左(RTL)

右から左描画を使用して、React TreeGrid のテキストとレイアウトを右から左に表示しました。これを使用してRTL詳しい詳しい情報のユーザー体験を向上させれ、アクセスを一改善しました。




Syncfusionの完全なReactコンポーネントエコシステムを発見しよう

確立された本番環境対応のコントロールと、モダンなウェブアプリ開発のためにネイティブに構築された最新の純粋なReactコンポーネントを特徴とする、140+以上のReact UIコンポーネントをご覧ください。

  • Reactコンポーネント
  • 純粋なReactコンポーネント

よくある質問

Syncfusion® React Tree Gridは、次の様々な機能を提伛しています。

  • ユーザーは、動的に子データをオンデマンドでロードして、大量のデータをロードできます。

  • 親レコードを折り、折り緒、ダイアログ編集などを含む、柔軟なUI操作を含みました。

  • 柔軟のデータバインディングを使用して、JSON、RESTfulサービス、ODataサービス、WCFサービスなどを提供してください。

  • Fabric、Bootstrapなどの魅力的なUI外観を備えていました。
  • 私简したAPIを使用していました。
  • すべての最由のブラウザーをサポートしていました。
  • タッチパネルを壊んで、適応的UIを提供していました。

  • DemoDocumentationが幸わい情報を使用して、React TreeGridを粗い粗かた求めいに始めることができました。

私的のReact TreeGridデモはどのように描画してTreeGridを設定し、描画するかを示していう。

いいよ、これは商用製品であり、払れいればなりません。ただし、いう無料コミュニティライセンスを取検してください。購参籠の庁至上かり年間粗い粗かた値整整、及り以下のある会社、上かり以下のある開発者に利用可能です。

㛶誅けしている詳しい詳しい情報は、私的の咬疁についてGetting Startedドキュメントを参照してください。

お客様は私たちを愛しています

優れたツール群と充実したサポートチームにより、Syncfusion® はお客様の開発時間を短縮します。
お客様の体験談の一部をご紹介します。

実際の成功事例を見る

世界中の開発者が複雑なプロジェクトを簡素化し、納期を短縮するために Syncfusion の Essential Studio を信頼しています。豊富な UI コントロール ライブラリ、強力な SDK、信頼できるサポートにより、Essential Studio はチームがエンタープライズ対応のアプリケーションを自信を持って構築できるよう支援します。

ケーススタディを探る


世界中のユーザーからの評価

無料評価バージョンをダウンロードしてアプリケーションを変革しましょう
無料トライアルのダウンロード クレジットカード不要。

受賞歴

偉大さ—自分で言うのではなく、他の人が認めるからこそ意味があります。 シンクフュージョンは以下の賞をいただきました。

Up arrow icon

Trusted by the world’s leading companies
概要
Angular TreeGridは、自己参照的で階層的なデータを表形式(ツリー状の構造)で効果的に可視化するための機能豊富なコントロールです。その豊富な機能セットには、データバインディング、仮想化、編集、ソート、検索、フィルタリング、無限スクロール、ページング、行と列の固定、複数の形式へのエクスポート、行の集約などの多くの機能が含まれています。
Syncfusion® Angular TreeGridを選ぶ理由
高性能
データを階層的に表示します。このコンポーネントの最適化された設計により、わずか数秒で数百万のレコードを読み込む高性能を実現します。
シームレスなデータバインディング
JSONやOData、WCF、RESTful Webサービスなどの様々なローカルおよびリモートデータソースとデータマネージャーの助けを借りてシームレスにデータをバインドします。
自己参照的な階層型グリッド
Angular TreeGridは、自己参照的で階層的なデータを表形式で可視化するように設計されています。親レコードと子レコード間の関係を表示します。
柔軟な編集
Angular TreeGridは、監視可能なデータを使用して作成、読み取り、更新、削除操作(CRUD)を実行します。JSONの配列またはデータマネージャーを使用したリモートデータサービスで編集します。
あらゆる解像度に適応します
TreeGridは、高度にレスポンシブなレイアウトとデスクトップ、タッチスクリーン、スマートフォン向けに最適化された設計を備えています。iOS、Android、またはWindows OSを使用するすべてのモバイルフォンで正常に動作します。
独自のテンプレート設計を作成します
テンプレートを使用して、ユーザーは広範なテンプレートオプションを使用してAngular TreeGridでカスタムUIを作成できます。
魅力的でカスタマイズ可能なテーマ
Fluent、Tailwind CSS、Bootstrap、Material、Fabricなどの組み込みテーマによる最先端の設計。オンラインTheme Studioツールを活用して、Angular TreeGridのテーマを簡単にカスタマイズできます。
グローバリゼーションとローカライゼーション
異なるロケールのユーザーは、日付、通貨、番号付けを自分の好みに合わせてフォーマットすることでTreeGridを使用できます。
Angular TreeGridコード例
以下で示すように、HTMLおよびTSコードのわずか数行でAngular TreeGrid(Tree Table)を簡単に始められます。また、Angular内でTreeGridをレンダリングおよび構成する方法を示すAngular TreeGridの例も参照してください。
<ejs-treegrid [dataSource]='data' [treeColumnIndex]='1' height='350' childMapping='subtasks'>
<e-columns>
<e-column field='taskID' headerText='Task ID' textAlign='Right' width=90></e-column>
<e-column field='taskName' headerText='Task Name' textAlign='Left' width=180></e-column>
<e-column field='startDate' headerText='Start Date' textAlign='Right' format='yMd' width=90><e-column>
<e-column field='duration' headerText='Duration' textAlign='Right' width=80></e-column>
</e-columns>
</ejs-treegrid>import { Component, OnInit } from '@angular/core';
import { sampleData } from './datasource';
@Component({
selector: 'ej2-treegrid-container',
templateUrl: 'default.html'
})
export class DefaultComponent implements OnInit {
public data: Object[] = [];
ngOnInit(): void {
this.data = sampleData;
}
}スケルトンローディング表示
TreeGridは、初期レンダリング、更新、またはソートなどのグリッドアクション後にデータを取得してツリーグリッドにバインドする際のローディングインジケーターとして効果を表示します。TreeGridは2つのタイプの効果を提供します:スピナーとシマー。


列
列は、Angular TreeGrid内のデータソースのスキーマを定義します。機能には、フォーマット、列定義、テキスト折り返し、列チューザー、列メニュー、列の並べ替えが含まれます。
ページング
ページングを通じて、割り当てられたデータソースから一部のデータを表示できます。Angular TreeGridには、UI全体をカスタマイズするオプション付きの組み込みペーージャーUIがあります。また、リモートWebサービスからの効果的なデータ取得のためのオンデマンドページングモードもあります。


ソート
Angular TreeGridを使用すると、ユーザーはヘッダーをクリックするだけで列をソートできます。Ctrl+ヘッダークリックで複数ソートを実行します。昇順または降順でデータをソートします。
フィルタリング
フィルタリングは、特定の関連レコードまたは与えられたフィルタリング条件を満たすレコードを表示するのに役立ちます。このコンポーネントは、強力なExcelのようなフィルターを含む様々なフィルタータイプをサポートしています。Angular TreeGridのフィルターを使用すると、ユーザーは適切なフィルタータイプを選択し、独自のカスタムフィルタリングロジックを定義し、アプリケーションのニーズに基づいてフィルタリングUIをカスタマイズできます。親または子レコードに関連するフィルタリングを定義できます。


選択
Angular TreeGridでは、行またはセルを選択できます。CtrlまたはCommandキーを押しながら、または以下の方法でプログラム的に1つ以上の行またはセルを選択することもできます。

編集
Angular TreeGridは、作成、読み取り、更新、削除操作(CRUD)に完全にサポートを提供します。特定の列値を編集するための組み込みエディターコンポーネントに加えて、テンプレートサポートを使用すると、ユーザーはカスタムエディターコンポーネントを作成できます。TreeGridは、JSON集合またはデータマネージャーの助けを借りたリモートデータサービスで編集操作を実行します。
行のドラッグアンドドロップ
Angular TreeGridを使用すると、ユーザーは同じまたは別のツリーグリッド内で行をドラッグアンドドロップできます。この機能は、データの再構成と直感的なユーザーエクスペリエンスの作成に特に役立ちます。


固定列
固定列はAngular TreeGridの左, 右、または両側に表示され、残りのグリッドコンテンツをスクロール可能にします。これらは主にセル値を比較するために使用されます。
カスタムツールチップ
Angular TreeGridコンポーネントでは、ツリーグリッドセルのツールチップを設定できます。ツリーノードの上にマウスを移動してツールチップテキストを表示します。


スティッキーヘッダー
データをスクロールする際に列ヘッダーを常に表示に保ちます。スティッキーヘッダーは継続的なコンテキストを提供し、大きなデータセットの解釈と分析が容易になります。
Exporting

Excel、PDF、CSVエクスポート
Easily export the HTML5 tree grid control in Excel, PDF, or CSV file formats. Users can also programmatically customize the exported document.

印刷
ユーザーはツールバーから印刷オプションを使用するか、プログラムで印刷できます。ページ数に関係なくAngular TreeGridのすべての行を印刷するか、現在表示されているページのみを印刷します。
追加機能

行の高さ
行の高さは、ビューポート内にレコードを表示する際の主要な要因であり、アプリケーションのUI要件に基づいてカスタマイズできます。また、行の高さを条件付きで設定することも可能です。

クリップボードにコピー
クリップボードは, 選択した行またはセルのデータをクリップボードにコピーするオプションを提供します。Ctrl+CおよびCtrl+Shift+Hキーの組み合わせを使用して、それぞれヘッダー付きおよびヘッダーなしでデータをコピーします。

コンテキストメニュー
コンテキストメニューは, ポップアップメニューを使用してAngular TreeGridとのユーザー相互作用を改善します。セル、ヘッダー、またはペーページャーを右クリックすると表示されます。組み込みの既定メニュー項目に加えて、カスタムコンテキストメニュー項目を追加できます。

幅と高さ
幅と高さプロパティを設定することで、Angular TreeGridのサイズを変更します。コンテンツがAngular TreeGrid要素をオーバーフローすると、水平スクロールバーと垂直スクロールバーが表示されます。Angular TreeGridが親コンテナーを満たすには、ユーザーは単に高さと幅を100%に設定する必要があります。

スタックされたヘッダー
スタックされたヘッダーにより, 列ヘッダーをスタック方式でグループ化および可視化できます。スタックできる列の数に制限はありません。ユーザーは、列がスタックされている場合でも、すべてのAngular TreeGrid操作を実行できます。
アクセシビリティ

キーボードナビゲーション
TreeGridでは, すべてのセルがキーボードアクセス可能であることを保証します。子行の展開または折りたたみ、ソート、選択、編集などの主要機能は、キーボードコマンドのみを使用して実行でき、マウス操作は不要です。これにより、このコンポーネントを使用して高度にアクセス可能なアプリケーションを作成するのに役立ちます。

スクリーンリーダー
Angular TreeGridは、完全なWAI-ARIAアクセシビリティサポートを備えています。UIには、視覚障害者に最高の視聴体験を提供するために役立つハイコントラスト視覚要素が含まれています。また、有効なUI説明は、スクリーンリーダーなどの支援技術を通じて簡単にアクセスできます。

右から左(RTL)
右から左へのレンダリングにより、ユーザーはAngular TreeGridのテキストとレイアウトを右から左に表示できます。これにより、RTL言語のユーザーエクスペリエンスとアクセシビリティが向上します。
Angular バージョン互換性
Angular TreeGridは、バージョン4から最新バージョンまで、Angular バージョンと互換性を保つように更新されています。

Other supported frameworks
TreeGridは、Blazor、React、JavaScript、Vue フレームワークで利用できます。次のリンクを介してプラットフォーム固有のオプションを探索してください:
サポートされているブラウザー
Angular TreeGridは、Chrome、Firefox、Edge, Safari、Opera を含むすべての最新Webブラウザーで正常に動作します。

140+ 以上のAngular UIコンポーネント
よくある質問
Syncfusion® Angular TreeGridを選ぶべき理由は何ですか?
ユーザーはオンデマンドで子データを読み込むことで、大量のデータを動的に読み込むことができます。
親レコードの展開と折りたたみ, ダイアログ編集などのUI相互作用を含めます。
JSON、RESTful サービス、OData サービス、WCF サービスなどのローカルおよびリモート データ ソースの使用をサポートする、柔軟なデータ バインディング。
- Fabric や Bootstrap などの組み込みテーマを備えた魅力的な UI外観。
- シンプルな構成と API。
- すべての最新ブラウザーをサポート。
- タッチフレンドリーでレスポンシブな UI。
デモ、ドキュメンテーション、ビデオなどの豊富な学習リソースにより、ユーザーはAngular TreeGridをすぐに始めることができます。
Syncfusion® Angular TreeGrid デモはどこにありますか?
Angular Tree Grid デモを見つけることができます。これはTreeGridをレンダリングおよび構成する方法を示しています。
Syncfusion® Angular TreeGridを無料でダウンロードして使用できますか?
いいえ、これは商用製品であり、有料ライセンスが必要です。ただし, 年間総収益が100万米ドル未満で、開発者が5人以下の企業や個人を対象とした無料コミュニティ ライセンスも利用できます。
Syncfusion® Angular TreeGridを使い始めるにはどうすればよいですか?
手始めに, 当社の包括的なスタート ガイド ドキュメンテーションをお勧めします。
お客様は私たちを愛しています
受賞歴
偉大さ—自分で言うのではなく、他の人が認めるからこそ意味があります。 シンクフュージョンは以下の賞をいただきました。
